Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.oasis
Class ParagraphStyle

    java.lang.Object
      net.sf.jasperreports.engine.export.oasis.Style
          net.sf.jasperreports.engine.export.oasis.ParagraphStyle

    public class ParagraphStyle

extends Style

Version:
  $Id: ParagraphStyle.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`protected static java.lang.String` | `HORIZONTAL_ALIGN_CENTER`
`protected static java.lang.String` | `HORIZONTAL_ALIGN_JUSTIFY`
`protected static java.lang.String` | `HORIZONTAL_ALIGN_LEFT`
`protected static java.lang.String` | `HORIZONTAL_ALIGN_RIGHT`
`protected static java.lang.String` | `ROTATION_ALIGN_BOTTOM`
`protected static java.lang.String` | `ROTATION_ALIGN_CENTER`
`protected static java.lang.String` | `ROTATION_ALIGN_NONE`
`protected static java.lang.String` | `ROTATION_ALIGN_TOP`

Fields inherited from class net.sf.jasperreports.engine.export.oasis.Style
`styleWriter`

Constructor Summary
`ParagraphStyle(java.io.Writer styleWriter, JRPrintText text)`

Method Summary
`static java.lang.String` | `getHorizontalAlignment(HorizontalAlignEnum horizontalAlignment, VerticalAlignEnum verticalAlignment, RotationEnum rotation)`
`java.lang.String` | `getId()`
`static java.lang.String` | `getVerticalAlignment(HorizontalAlignEnum horizontalAlignment, VerticalAlignEnum verticalAlignment, RotationEnum rotation)`
`void` | `write(java.lang.String paragraphStyleName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HORIZONTAL_ALIGN_LEFT

    protected static final java.lang.String HORIZONTAL_ALIGN_LEFT

See Also:
  Constant Field Values

### HORIZONTAL_ALIGN_RIGHT

    protected static final java.lang.String HORIZONTAL_ALIGN_RIGHT

See Also:
  Constant Field Values

### HORIZONTAL_ALIGN_CENTER

    protected static final java.lang.String HORIZONTAL_ALIGN_CENTER

See Also:
  Constant Field Values

### HORIZONTAL_ALIGN_JUSTIFY

    protected static final java.lang.String HORIZONTAL_ALIGN_JUSTIFY

See Also:
  Constant Field Values

### ROTATION_ALIGN_NONE

    protected static final java.lang.String ROTATION_ALIGN_NONE

See Also:
  Constant Field Values

### ROTATION_ALIGN_TOP

    protected static final java.lang.String ROTATION_ALIGN_TOP

See Also:
  Constant Field Values

### ROTATION_ALIGN_CENTER

    protected static final java.lang.String ROTATION_ALIGN_CENTER

See Also:
  Constant Field Values

### ROTATION_ALIGN_BOTTOM

    protected static final java.lang.String ROTATION_ALIGN_BOTTOM

See Also:
  Constant Field Values

Constructor Detail

### ParagraphStyle

    public ParagraphStyle(java.io.Writer styleWriter,
                          JRPrintText text)

Method Detail

### getVerticalAlignment

    public static java.lang.String getVerticalAlignment(HorizontalAlignEnum horizontalAlignment,
                                                        VerticalAlignEnum verticalAlignment,
                                                        RotationEnum rotation)

### getHorizontalAlignment

    public static java.lang.String getHorizontalAlignment(HorizontalAlignEnum horizontalAlignment,
                                                          VerticalAlignEnum verticalAlignment,
                                                          RotationEnum rotation)

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in class `Style`

### write

    public void write(java.lang.String paragraphStyleName)
               throws java.io.IOException

  Specified by:
    `write` in class `Style`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com